<!-- Script fotogalerie vytvořil Rellik rellik1@seznam.cz http://firstpage.wz.cz-->
<?php
// Umistnete prosim na sve stranky odkaz na mou stranku http://firstpage.wz.cz
// Script si muzete upravit podle vasich potreb a predstav
	echo "<div id='galerie'>\n";
	
// nasledující řádky vyplňte podle potřeby
// Podle toho jaká je zobrazena galerie tak se vypiíše příslušný nadpis
if ($_GET['id']=='veletiny')
	echo "<div id='nadpis'><h1>Veletiny</h1></div>";

if ($_GET['id']=='zima2006')
	echo "<div id='nadpis'><h1>Zima 2006</h1></div>";
// ********* konec nadpisů
	
$slozka = $_GET['id'];
$id = $slozka;
$zobraz = $_GET['stranka'];
$nahled = "nahledy"; // název složky do které se budou ukládat miniatury složka musí mít atributy 777 
							//a musí být umístěna ve složce ve které máte obrázky
$celkem = $_GET['celkem'];
if (!isset($celkem)) {$celkem = 25;} //výchozí počet náhledů na jednu stránku
if (!isset($stranka)) {$stranka = 0;}

$conf["items_per_page"] = $celkem;

if(!($dp = opendir($slozka))) die ($slozka);
$file_array = array();
while ($file = readdir ($dp))
{
if($file!="."&&$file!=".."&&!is_dir($file)&&$file!=$nahled)
{
$file_array[] = $file;
}
}
$file_count = count ($file_array);
sort ($file_array);


if ($file_count > 0)
{
$first_record = $stranka * $conf["items_per_page"];
$last_record = $first_record + $conf["items_per_page"];

echo "\t<div class='pocet_foto'>Celkový počet fotografií: ".$file_count."\n";
echo "\t\t<span class='pocet'>Počet náhledů na stránce: \n";

// na následujících řádcích si můžete upravit počty náhledů
echo "\t".'<a href="?page=foto&amp;celkem=12&amp;id='.$id.'">12</a> |'."\n";
echo "\t".'<a href="?page=foto&amp;celkem=25&amp;id='.$id.'">25</a> |'."\n";
echo "\t".'<a href="?page=foto&amp;celkem=50&amp;id='.$id.'">50</a>'."\n\t\t</span>\n\t</div>\n";

echo "\t<div id='zobraz'>\n";


while (list($fileIndexValue, $file_name) = each ($file_array))
{
$vytvor_nahled = "<img src=\"thumb.php?id=".$id."&amp;image=".$file_name."\" alt=\"".$file_name."\" />";

if (($fileIndexValue >= $first_record) AND ($fileIndexValue < $last_record))
{

echo "\t\t<a href=\"?page=galerie&amp;celkem=".$celkem."&amp;stranka=".$stranka."&amp;zobraz=".$fileIndexValue."&amp;id=".$id."\">".$vytvor_nahled."</a>\n";
}
}
echo "\t</div>\n\t\t<div id=\"navigace\">\n";
if (($file_count > 0) AND ($stranka != 0))
{
$prev_page = $stranka -1;
echo "\t<a class=\"predchozi\" href=\"?page=foto&amp;celkem=$celkem&amp;stranka=$prev_page&amp;id=$id\">Předchozí</a>\n";
}

if (($file_count > 0) AND ($last_record < $file_count))
{
$next_page = $stranka + 1;
echo "\t<a class=\"dalsi\" href=\"?page=foto&amp;celkem=$celkem&amp;stranka=$next_page&amp;id=$id\">Další</a>\n";
}

}
else echo "\t<div id='zobraz'>\n V galerii není zatím žádná fotka."; //Jestliže v galerii není žádná fotka vypíše se tento text
closedir($dp);

echo "\t\t</div>\n\t</div>\n";

?> 